Subject: Re: bug#24637: 25.1; non-ascii chars fail to render in Info buffer

From: Alan Third <[email-masked]>
Date: Mon, 19 Dec 2016 11:27:56 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: ivan <[email-masked]>
>> Date: Sat, 8 Oct 2016 11:36:02 -0400
>> Cc: [email-masked]
>> 
>> Sorry, I should have mentioned in my last response -- I tried changing them to lowercase, but that didn't fix the
>> problem.
>
> Than I'm out of ideas.
>
> Does anyone else see this on OS X (or on any other OS)?

Just checked and I get the incorrect behaviour with the upper-case UTF-8
in emacs.info's "Local Variables:" section.

I built Emacs from git myself on OS X.

Now I think about it, I'm sure I've seen error messages regarding UTF-8
being invalid when building... Yup:

./../emacs/docstyle.texi:3: warning: unrecognized encoding name `UTF-8'.
  GEN      ../../info/eshell.info
./../emacs/docstyle.texi:3: warning: unrecognized encoding name `UTF-8'.
  GEN      ../../info/eudc.info
./../emacs/docstyle.texi:3: warning: unrecognized encoding name `UTF-8'.
  GEN      ../../info/efaq.info
./../emacs/docstyle.texi:3: warning: unrecognized encoding name `UTF-8'.
  GEN      ../../info/eww.info
./../emacs/docstyle.texi:3: warning: unrecognized encoding name `UTF-8'.
  GEN      ../../info/flymake.info

There are quite a lot of them. I guess one for each info file.

The only place I can think of right now that has this in upper case
that might affect the build is:

    breton:/Users/alan/src/emacs/master>echo $LANG
    en_GB.UTF-8

-- 
Alan Third